# PetscViewerASCIIMonitorDestroys

removes a monitor context.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscViewerASCIIMonitorDestroy(PetscViewerASCIIMonitor ctx)

Collective on PetscViewerASCIIMonitor

### Input Parameters

ctx -the monitor context created with PetscViewerASCIIMonitorCreate()

### Notes

This is rarely called by users, it is usually called when the KSP, SNES or TS object is destroyed

### See Also

KSPMonitorSet(), SNESMonitorSet(), TSMonitorSet(), KSPMonitorDefault(), PetscViewerASCIIMonitor, PetscViewerASCIIMonitorCreate()

Level:advanced
Location: src/sys/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages